Package org.apache.sysds.runtime.instructions.spark.functions

# Class CopyFrameBlockFunction

java.lang.Object
org.apache.sysds.runtime.instructions.spark.functions.CopyFrameBlockFunction

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.Function<FrameBlock,FrameBlock>`

public class CopyFrameBlockFunction extends Object implements org.apache.spark.api.java.function.Function<FrameBlock,FrameBlock>
General purpose copy function for binary block rdds. This function can be used in mapValues (copy frame blocks). It supports both deep and shallow copies of values.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CopyFrameBlockFunction()`
`CopyFrameBlockFunction(boolean deepCopy)`

## Method Summary

Modifier and Type
Method
Description
`FrameBlock`
`call(FrameBlock arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CopyFrameBlockFunction

public CopyFrameBlockFunction()

### CopyFrameBlockFunction

public CopyFrameBlockFunction(boolean deepCopy)

## Method Details

### call

public FrameBlock call(FrameBlock arg0) throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.Function<FrameBlock,FrameBlock>`
Throws:
  `Exception`